Firefox 6, 7, 8, 9, 10...

The update manager installed Firefox 10 and broke some add-ons.

I know this is off-topic, but... how do I get an "older-than-Firefox 10" back? This is already hard...